<?php declare(strict_types=1);

namespace Plugin\jtl_trustami_siegel;

use JTL\Events\Dispatcher;
use JTL\Plugin\Bootstrapper;
use JTL\Shop;
use JTL\Smarty\JTLSmarty;

/**
 * Class Bootstrap
 * @package Plugin\jtl_header
 */
class Bootstrap extends Bootstrapper
{
    /**
     * @inheritdoc
     */
    public function boot(Dispatcher $dispatcher): void
    {
        parent::boot($dispatcher);

        $plugin = $this->getPlugin();
        if (Shop::isFrontend()) {
            $dispatcher->listen('shop.hook.' . \HOOK_SMARTY_INC, static function (array $args) use ($plugin) {
                $config = $plugin->getConfig();
                $smarty = $args['smarty'];

                $smarty->assign('cardId', $config->getValue('cardId'));
                $smarty->assign('header', $config->getValue('SiegelHeader'));
                $smarty->assign('leftCat', $config->getValue('SiegelCat'));
                $smarty->assign('product', $config->getValue('SiegelDesc'));
                $smarty->assign('footer', $config->getValue('SiegelFooter'));
                $smarty->assign('textBadge', $config->getValue('TextBadge'));
                $smarty->assign('cmtsBadge', $config->getValue('CmtsBadge'));
                $smarty->assign('overlay', $config->getValue('Overlay'));
                $smarty->assign('overlayFrame', $config->getValue('overlayFrame'));
                $smarty->assign('overlayList', $config->getValue('overlayList'));
                $smarty->assign('overlaySticker', $config->getValue('overlaySticker'));
                $smarty->assign('overlayButton', $config->getValue('overlayButton'));
                $smarty->assign('overlaySocial', $config->getValue('overlaySocial'));
                $smarty->assign('overlayDuo', $config->getValue('overlayDuo'));
                $smarty->assign('overlayShopak', $config->getValue('overlayShopak'));
                $smarty->assign('overlayStars', $config->getValue('overlayStars'));
                $smarty->assign('cusDataAtt', $config->getValue('cusDataAtt'));

                $smarty->assign('trFooterBlockName', $config->getValue('footerBlockName'));
                $smarty->assign('trFooterBlockOption', $config->getValue('footerBlockOption'));

                $smarty->assign('trHeaderBlockName', $config->getValue('headerBlockName'));
                $smarty->assign('trHeaderBlockOption', $config->getValue('headerBlockOption'));

                $smarty->assign('trProductBlockName', $config->getValue('productBlockName'));
                $smarty->assign('trProductBlockOption', $config->getValue('productBlockOption'));

                $advInsertTrust = $config->getValue('advInsertTrust');
                $advClassId = $config->getValue('advClassId');
                $advTrustType = $config->getValue('advTrustType');

                if ($advInsertTrust != "none" && !empty($advClassId) && $advTrustType != "none") {
                    $smarty->assign('advInsertTrust', $advInsertTrust);
                    $smarty->assign('advTrustType', $advTrustType);
                    $smarty->assign('advClassId', $advClassId);
                }
            });
        }
    }
}
